# Marvin Elsen

## About

Welcome to my personal Gitea instance! I'm Marvin Elsen, also known as
柳博慎
([pinyin](https://en.wikipedia.org/wiki/Pinyin): Liǔ Bó Shèn) in
Chinese. I'm a German software developer in my late twenties, currently
residing in the vibrant city of
[Düsseldorf](https://www.duesseldorf.de). I hold a bachelor's degree in
computer science, from which I graduated with distinction.

I'm driven by the excitement of solving complex puzzles in software
development, fueled by a lifelong passion for programming. My curiosity
for understanding how things work beneath the surface leads me to
constantly tinker and explore. As a quick learner, I eagerly embrace new
technologies, finding great satisfaction in crafting elegant and
sophisticated solutions to challenging problems.

Currently, I work full-time as a backend developer at [RTL
Deutschland](https://company.rtl.com/en/business-units/overview/rtl-deutschland/),
Germany's leading entertainment company, where I contribute to the
development of [RTL+](https://plus.rtl.de), Germany's largest streaming
service, using Kotlin and Spring.

Outside of work, my greatest passion is studying the Chinese language
and immersing myself in Chinese culture and history. I also enjoy
reading Chinese literature, particularly classics like 唐傳奇 (Tang Chuanqi) and 聊齋誌異
(Strange Tales from a Chinese Studio). In the past, I spent two years
living in Taiwan studying Chinese full-time at the prestigious [NTNU
MTC](https://mtc.ntnu.edu.tw/eng/), where I achieved the [CEFR C1
level](https://www.coe.int/en/web/common-european-framework-reference-languages/level-descriptions)
on the official [TOCFL proficiency test](https://tocfl.edu.tw). So,
歡迎隨時用中文跟我交流！

## Contact

Below, you'll find the best ways to get in touch with me. My pronouns
are he/him/his. I'm fluent in English, Standard Chinese, and German, so
feel free to reach out in any of these languages. My preferred method of
contact is email.

I'm open to inquiries about collaboration, job opportunities, or general
questions. Looking forward to hearing from you!

Email
:   <git@marvinelsen.com>

LinkedIn
:   [marvinelsen](https://www.linkedin.com/in/marvinelsen)

## Skills

The following list showcases the skills and technologies I'm well-versed
in, have substantial experience with, and confidently apply in my work.
These are presented in no particular order, reflecting my diverse
expertise across multiple domains:

Computer Languages

:   -   [*Kotlin*](https://kotlinlang.org)
    -   [Java](https://www.java.com/)
    -   [Python](https://www.python.org)
    -   [SQL](https://en.wikipedia.org/wiki/SQL)
    -   [HTML](https://html.spec.whatwg.org)
    -   [CSS](https://www.w3.org/TR/CSS/)

Core Technologies

:   -   [*Spring*](https://spring.io)
    -   [JVM](https://en.wikipedia.org/wiki/Java_virtual_machine)
    -   [PostgreSQL](https://www.postgresql.org)
    -   [Apache Kafka](https://kafka.apache.org)
    -   [GraphQL](https://graphql.org)
        ([Apollo](https://www.apollographql.com/docs/))

Tools

:   -   [IntelliJ IDEA](https://www.jetbrains.com/idea/)
    -   [Git](https://git-scm.com)
    -   [Gradle](https://gradle.org)
    -   [Neovim](https://neovim.io)

DevOps

:   -   [GitLab
        CI/CD](https://about.gitlab.com/solutions/continuous-integration/)
    -   [Kubernetes](https://kubernetes.io)
    -   [Helm](https://helm.sh)
    -   [Docker](https://www.docker.com)
    -   [Terraform](https://www.terraform.io)
    -   [Grafana](https://grafana.com)
    -   [Prometheus](https://prometheus.io)
    -   [Kibana](https://www.elastic.co/kibana)
    -   [Jaeger](https://www.jaegertracing.io)
    -   [AWS](https://aws.amazon.com)

Operating Systems

:   -   [Arch Linux](https://archlinux.org)
    -   [NixOS](https://nixos.org)
    -   [macOS](https://en.wikipedia.org/wiki/MacOS)

Natural Languages

:   -   [German](https://en.wikipedia.org/wiki/German_language) (native)
    -   [English](https://en.wikipedia.org/wiki/English_language)
        (fluent)
    -   [Standard
        Chinese](https://en.wikipedia.org/wiki/Standard_Chinese) (CEFR
        C1)
